package com.gyee.generation.model.auto;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 故障消缺及时率
 * </p>
 *
 * @author shilin
 * @since 2024-05-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconFaultLiminatedefects extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 风场编号
     */
    private String windpowerstationId;

    /**
     * 风机编号
     */
    private String windturbineId;

    /**
     * 工程编号
     */
    private String projectId;

    /**
     * 线路编号
     */
    private String lineId;

    /**
     * 日期
     */
    private LocalDate dateTime;

    /**
     * 报警类别
     */
    private String classifyId;

    /**
     * 故障次数
     */
    private BigDecimal faultCount;

    /**
     * 及时率
     */
    private BigDecimal rate;

    /**
     * 消缺及时次数
     */
    private BigDecimal rightCount;

    /**
     * 未消缺原因
     */
    private String cause;


}
