package com.gyee.generation.model.auto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 统一编码表
设备类型：风电/光伏
测点类型：遥测/遥信/计算
                                          -&
 * </p>
 *
 * @author shilin
 * @since 2024-05-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconUniformCode extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 编码
     */
    private String nemCode;

    /**
     * 说明
     */
    private String description;

    /**
     * 设备类型
     */
    private String equipmentType;

    /**
     * 测点类型
     */
    private String pointType;


}
