package com.gyee.generation.model.auto;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 1、日风向平均风速
2、日风向最大风速
3、日风向次数
4、日风向频率

 * </p>
 *
 * @author shilin
 * @since 2024-05-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconWpwindDayInfo extends Model {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @TableField("windpowerstation_Id")
    private String windpowerstationId;

    @TableField("record_Date")
    private LocalDateTime recordDate;

    @TableField("CA")
    private BigDecimal ca;

    @TableField("CB")
    private BigDecimal cb;

    @TableField("CC")
    private BigDecimal cc;

    @TableField("CD")
    private BigDecimal cd;

    @TableField("CF")
    private BigDecimal cf;

    @TableField("CG")
    private BigDecimal cg;

    @TableField("E")
    private BigDecimal e;

    @TableField("ESE")
    private BigDecimal ese;

    @TableField("SE")
    private BigDecimal se;

    @TableField("SSE")
    private BigDecimal sse;

    @TableField("S")
    private BigDecimal s;

    @TableField("SSW")
    private BigDecimal ssw;

    @TableField("SW")
    private BigDecimal sw;

    @TableField("WSW")
    private BigDecimal wsw;

    @TableField("W")
    private BigDecimal w;

    @TableField("WNW")
    private BigDecimal wnw;

    @TableField("NW")
    private BigDecimal nw;

    @TableField("NNW")
    private BigDecimal nnw;

    @TableField("N")
    private BigDecimal n;

    @TableField("NNE")
    private BigDecimal nne;

    @TableField("NE")
    private BigDecimal ne;

    @TableField("ENE")
    private BigDecimal ene;

    @TableField("E2")
    private BigDecimal e2;

    @TableField("ESE2")
    private BigDecimal ese2;

    @TableField("SE2")
    private BigDecimal se2;

    @TableField("SSE2")
    private BigDecimal sse2;

    @TableField("S2")
    private BigDecimal s2;

    @TableField("SSW2")
    private BigDecimal ssw2;

    @TableField("SW2")
    private BigDecimal sw2;

    @TableField("WSW2")
    private BigDecimal wsw2;

    @TableField("W2")
    private BigDecimal w2;

    @TableField("WNW2")
    private BigDecimal wnw2;

    @TableField("NW2")
    private BigDecimal nw2;

    @TableField("NNW2")
    private BigDecimal nnw2;

    @TableField("N2")
    private BigDecimal n2;

    @TableField("NNE2")
    private BigDecimal nne2;

    @TableField("NE2")
    private BigDecimal ne2;

    @TableField("ENE2")
    private BigDecimal ene2;

    @TableField("E3")
    private BigDecimal e3;

    @TableField("ESE3")
    private BigDecimal ese3;

    @TableField("SE3")
    private BigDecimal se3;

    @TableField("SSE3")
    private BigDecimal sse3;

    @TableField("S3")
    private BigDecimal s3;

    @TableField("SSW3")
    private BigDecimal ssw3;

    @TableField("SW3")
    private BigDecimal sw3;

    @TableField("WSW3")
    private BigDecimal wsw3;

    @TableField("W3")
    private BigDecimal w3;

    @TableField("WNW3")
    private BigDecimal wnw3;

    @TableField("NW3")
    private BigDecimal nw3;

    @TableField("NNW3")
    private BigDecimal nnw3;

    @TableField("N3")
    private BigDecimal n3;

    @TableField("NNE3")
    private BigDecimal nne3;

    @TableField("NE3")
    private BigDecimal ne3;

    @TableField("ENE3")
    private BigDecimal ene3;

    @TableField("E4")
    private BigDecimal e4;

    @TableField("ESE4")
    private BigDecimal ese4;

    @TableField("SE4")
    private BigDecimal se4;

    @TableField("SSE4")
    private BigDecimal sse4;

    @TableField("S4")
    private BigDecimal s4;

    @TableField("SSW4")
    private BigDecimal ssw4;

    @TableField("SW4")
    private BigDecimal sw4;

    @TableField("WSW4")
    private BigDecimal wsw4;

    @TableField("W4")
    private BigDecimal w4;

    @TableField("WNW4")
    private BigDecimal wnw4;

    @TableField("NW4")
    private BigDecimal nw4;

    @TableField("NNW4")
    private BigDecimal nnw4;

    @TableField("N4")
    private BigDecimal n4;

    @TableField("NNE4")
    private BigDecimal nne4;

    @TableField("NE4")
    private BigDecimal ne4;

    @TableField("ENE4")
    private BigDecimal ene4;

    @TableField("E5")
    private BigDecimal e5;

    @TableField("ESE5")
    private BigDecimal ese5;

    @TableField("SE5")
    private BigDecimal se5;

    @TableField("SSE5")
    private BigDecimal sse5;

    @TableField("S5")
    private BigDecimal s5;

    @TableField("SSW5")
    private BigDecimal ssw5;

    @TableField("SW5")
    private BigDecimal sw5;

    @TableField("WSW5")
    private BigDecimal wsw5;

    @TableField("W5")
    private BigDecimal w5;

    @TableField("WNW5")
    private BigDecimal wnw5;

    @TableField("NW5")
    private BigDecimal nw5;

    @TableField("NNW5")
    private BigDecimal nnw5;

    @TableField("N5")
    private BigDecimal n5;

    @TableField("NNE5")
    private BigDecimal nne5;

    @TableField("NE5")
    private BigDecimal ne5;

    @TableField("ENE5")
    private BigDecimal ene5;

    @TableField("E6")
    private BigDecimal e6;

    @TableField("ESE6")
    private BigDecimal ese6;

    @TableField("SE6")
    private BigDecimal se6;

    @TableField("SSE6")
    private BigDecimal sse6;

    @TableField("S6")
    private BigDecimal s6;

    @TableField("SSW6")
    private BigDecimal ssw6;

    @TableField("SW6")
    private BigDecimal sw6;

    @TableField("WSW6")
    private BigDecimal wsw6;

    @TableField("W6")
    private BigDecimal w6;

    @TableField("WNW6")
    private BigDecimal wnw6;

    @TableField("NW6")
    private BigDecimal nw6;

    @TableField("NNW6")
    private BigDecimal nnw6;

    @TableField("N6")
    private BigDecimal n6;

    @TableField("NNE6")
    private BigDecimal nne6;

    @TableField("NE6")
    private BigDecimal ne6;

    @TableField("ENE6")
    private BigDecimal ene6;

    @TableField("E7")
    private BigDecimal e7;

    @TableField("ESE7")
    private BigDecimal ese7;

    @TableField("SE7")
    private BigDecimal se7;

    @TableField("SSE7")
    private BigDecimal sse7;

    @TableField("S7")
    private BigDecimal s7;

    @TableField("SSW7")
    private BigDecimal ssw7;

    @TableField("SW7")
    private BigDecimal sw7;

    @TableField("WSW7")
    private BigDecimal wsw7;

    @TableField("W7")
    private BigDecimal w7;

    @TableField("WNW7")
    private BigDecimal wnw7;

    @TableField("NW7")
    private BigDecimal nw7;

    @TableField("NNW7")
    private BigDecimal nnw7;

    @TableField("N7")
    private BigDecimal n7;

    @TableField("NNE7")
    private BigDecimal nne7;

    @TableField("NE7")
    private BigDecimal ne7;

    @TableField("ENE7")
    private BigDecimal ene7;

    @TableField("E8")
    private BigDecimal e8;

    @TableField("ESE8")
    private BigDecimal ese8;

    @TableField("SE8")
    private BigDecimal se8;

    @TableField("SSE8")
    private BigDecimal sse8;

    @TableField("S8")
    private BigDecimal s8;

    @TableField("SSW8")
    private BigDecimal ssw8;

    @TableField("SW8")
    private BigDecimal sw8;

    @TableField("WSW8")
    private BigDecimal wsw8;

    @TableField("W8")
    private BigDecimal w8;

    @TableField("WNW8")
    private BigDecimal wnw8;

    @TableField("NW8")
    private BigDecimal nw8;

    @TableField("NNW8")
    private BigDecimal nnw8;

    @TableField("N8")
    private BigDecimal n8;

    @TableField("NNE8")
    private BigDecimal nne8;

    @TableField("NE8")
    private BigDecimal ne8;

    @TableField("ENE8")
    private BigDecimal ene8;

    @TableField("E9")
    private BigDecimal e9;

    @TableField("ESE9")
    private BigDecimal ese9;

    @TableField("SE9")
    private BigDecimal se9;

    @TableField("SSE9")
    private BigDecimal sse9;

    @TableField("S9")
    private BigDecimal s9;

    @TableField("SSW9")
    private BigDecimal ssw9;

    @TableField("SW9")
    private BigDecimal sw9;

    @TableField("WSW9")
    private BigDecimal wsw9;

    @TableField("W9")
    private BigDecimal w9;

    @TableField("WNW9")
    private BigDecimal wnw9;

    @TableField("NW9")
    private BigDecimal nw9;

    @TableField("NNW9")
    private BigDecimal nnw9;

    @TableField("N9")
    private BigDecimal n9;

    @TableField("NNE9")
    private BigDecimal nne9;

    @TableField("NE9")
    private BigDecimal ne9;

    @TableField("ENE9")
    private BigDecimal ene9;

    @TableField("E10")
    private BigDecimal e10;

    @TableField("ESE10")
    private BigDecimal ese10;

    @TableField("SE10")
    private BigDecimal se10;

    @TableField("SSE10")
    private BigDecimal sse10;

    @TableField("S10")
    private BigDecimal s10;

    @TableField("SSW10")
    private BigDecimal ssw10;

    @TableField("SW10")
    private BigDecimal sw10;

    @TableField("WSW10")
    private BigDecimal wsw10;

    @TableField("W10")
    private BigDecimal w10;

    @TableField("WNW10")
    private BigDecimal wnw10;

    @TableField("NW10")
    private BigDecimal nw10;

    @TableField("NNW10")
    private BigDecimal nnw10;

    @TableField("N10")
    private BigDecimal n10;

    @TableField("NNE10")
    private BigDecimal nne10;

    @TableField("NE10")
    private BigDecimal ne10;

    @TableField("ENE10")
    private BigDecimal ene10;

    @TableField("E11")
    private BigDecimal e11;

    @TableField("ESE11")
    private BigDecimal ese11;

    @TableField("SE11")
    private BigDecimal se11;

    @TableField("SSE11")
    private BigDecimal sse11;

    @TableField("S11")
    private BigDecimal s11;

    @TableField("SSW11")
    private BigDecimal ssw11;

    @TableField("SW11")
    private BigDecimal sw11;

    @TableField("WSW11")
    private BigDecimal wsw11;

    @TableField("W11")
    private BigDecimal w11;

    @TableField("WNW11")
    private BigDecimal wnw11;

    @TableField("NW11")
    private BigDecimal nw11;

    @TableField("NNW11")
    private BigDecimal nnw11;

    @TableField("N11")
    private BigDecimal n11;

    @TableField("NNE11")
    private BigDecimal nne11;

    @TableField("NE11")
    private BigDecimal ne11;

    @TableField("ENE11")
    private BigDecimal ene11;

    @TableField("E12")
    private BigDecimal e12;

    @TableField("ESE12")
    private BigDecimal ese12;

    @TableField("SE12")
    private BigDecimal se12;

    @TableField("SSE12")
    private BigDecimal sse12;

    @TableField("S12")
    private BigDecimal s12;

    @TableField("SSW12")
    private BigDecimal ssw12;

    @TableField("SW12")
    private BigDecimal sw12;

    @TableField("WSW12")
    private BigDecimal wsw12;

    @TableField("W12")
    private BigDecimal w12;

    @TableField("WNW12")
    private BigDecimal wnw12;

    @TableField("NW12")
    private BigDecimal nw12;

    @TableField("NNW12")
    private BigDecimal nnw12;

    @TableField("N12")
    private BigDecimal n12;

    @TableField("NNE12")
    private BigDecimal nne12;

    @TableField("NE12")
    private BigDecimal ne12;

    @TableField("ENE12")
    private BigDecimal ene12;

    @TableField("E13")
    private BigDecimal e13;

    @TableField("ESE13")
    private BigDecimal ese13;

    @TableField("SE13")
    private BigDecimal se13;

    @TableField("SSE13")
    private BigDecimal sse13;

    @TableField("S13")
    private BigDecimal s13;

    @TableField("SSW13")
    private BigDecimal ssw13;

    @TableField("SW13")
    private BigDecimal sw13;

    @TableField("WSW13")
    private BigDecimal wsw13;

    @TableField("W13")
    private BigDecimal w13;

    @TableField("WNW13")
    private BigDecimal wnw13;

    @TableField("NW13")
    private BigDecimal nw13;

    @TableField("NNW13")
    private BigDecimal nnw13;

    @TableField("N13")
    private BigDecimal n13;

    @TableField("NNE13")
    private BigDecimal nne13;

    @TableField("NE13")
    private BigDecimal ne13;

    @TableField("ENE13")
    private BigDecimal ene13;

    @TableField("E14")
    private BigDecimal e14;

    @TableField("ESE14")
    private BigDecimal ese14;

    @TableField("SE14")
    private BigDecimal se14;

    @TableField("SSE14")
    private BigDecimal sse14;

    @TableField("S14")
    private BigDecimal s14;

    @TableField("SSW14")
    private BigDecimal ssw14;

    @TableField("SW14")
    private BigDecimal sw14;

    @TableField("WSW14")
    private BigDecimal wsw14;

    @TableField("W14")
    private BigDecimal w14;

    @TableField("WNW14")
    private BigDecimal wnw14;

    @TableField("NW14")
    private BigDecimal nw14;

    @TableField("NNW14")
    private BigDecimal nnw14;

    @TableField("N14")
    private BigDecimal n14;

    @TableField("NNE14")
    private BigDecimal nne14;

    @TableField("NE14")
    private BigDecimal ne14;

    @TableField("ENE14")
    private BigDecimal ene14;

    @TableField("E15")
    private BigDecimal e15;

    @TableField("ESE15")
    private BigDecimal ese15;

    @TableField("SE15")
    private BigDecimal se15;

    @TableField("SSE15")
    private BigDecimal sse15;

    @TableField("S15")
    private BigDecimal s15;

    @TableField("SSW15")
    private BigDecimal ssw15;

    @TableField("SW15")
    private BigDecimal sw15;

    @TableField("WSW15")
    private BigDecimal wsw15;

    @TableField("W15")
    private BigDecimal w15;

    @TableField("WNW15")
    private BigDecimal wnw15;

    @TableField("NW15")
    private BigDecimal nw15;

    @TableField("NNW15")
    private BigDecimal nnw15;

    @TableField("N15")
    private BigDecimal n15;

    @TableField("NNE15")
    private BigDecimal nne15;

    @TableField("NE15")
    private BigDecimal ne15;

    @TableField("ENE15")
    private BigDecimal ene15;

    @TableField("E16")
    private BigDecimal e16;

    @TableField("ESE16")
    private BigDecimal ese16;

    @TableField("SE16")
    private BigDecimal se16;

    @TableField("SSE16")
    private BigDecimal sse16;

    @TableField("S16")
    private BigDecimal s16;

    @TableField("SSW16")
    private BigDecimal ssw16;

    @TableField("SW16")
    private BigDecimal sw16;

    @TableField("WSW16")
    private BigDecimal wsw16;

    @TableField("W16")
    private BigDecimal w16;

    @TableField("WNW16")
    private BigDecimal wnw16;

    @TableField("NW16")
    private BigDecimal nw16;

    @TableField("NNW16")
    private BigDecimal nnw16;

    @TableField("N16")
    private BigDecimal n16;

    @TableField("NNE16")
    private BigDecimal nne16;

    @TableField("NE16")
    private BigDecimal ne16;

    @TableField("ENE16")
    private BigDecimal ene16;

    @TableField("E17")
    private BigDecimal e17;

    @TableField("ESE17")
    private BigDecimal ese17;

    @TableField("SE17")
    private BigDecimal se17;

    @TableField("SSE17")
    private BigDecimal sse17;

    @TableField("S17")
    private BigDecimal s17;

    @TableField("SSW17")
    private BigDecimal ssw17;

    @TableField("SW17")
    private BigDecimal sw17;

    @TableField("WSW17")
    private BigDecimal wsw17;

    @TableField("W17")
    private BigDecimal w17;

    @TableField("WNW17")
    private BigDecimal wnw17;

    @TableField("NW17")
    private BigDecimal nw17;

    @TableField("NNW17")
    private BigDecimal nnw17;

    @TableField("N17")
    private BigDecimal n17;

    @TableField("NNE17")
    private BigDecimal nne17;

    @TableField("NE17")
    private BigDecimal ne17;

    @TableField("ENE17")
    private BigDecimal ene17;

    @TableField("E18")
    private BigDecimal e18;

    @TableField("ESE18")
    private BigDecimal ese18;

    @TableField("SE18")
    private BigDecimal se18;

    @TableField("SSE18")
    private BigDecimal sse18;

    @TableField("S18")
    private BigDecimal s18;

    @TableField("SSW18")
    private BigDecimal ssw18;

    @TableField("SW18")
    private BigDecimal sw18;

    @TableField("WSW18")
    private BigDecimal wsw18;

    @TableField("W18")
    private BigDecimal w18;

    @TableField("WNW18")
    private BigDecimal wnw18;

    @TableField("NW18")
    private BigDecimal nw18;

    @TableField("NNW18")
    private BigDecimal nnw18;

    @TableField("N18")
    private BigDecimal n18;

    @TableField("NNE18")
    private BigDecimal nne18;

    @TableField("NE18")
    private BigDecimal ne18;

    @TableField("ENE18")
    private BigDecimal ene18;

    @TableField("CH")
    private BigDecimal ch;

    @TableField("CI")
    private BigDecimal ci;

    @TableField("CJ")
    private BigDecimal cj;

    @TableField("weather_Id")
    private String weatherId;


}
