package com.gyee.generation;



import com.gyee.generation.model.auto.PointDataTaos;
import com.gyee.generation.model.auto.ProBasicPowerstationPoint;
import com.gyee.generation.service.initialpoint.TaosInitalPonitService;
import com.gyee.generation.util.SpringUtils;
import com.gyee.generation.util.realtimesource.IRealDataUtil;
import com.gyee.generation.util.realtimesource.timeseries.PointData;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@SpringBootApplication
public class TaosTest
{
    public static void main(String[] args) throws Exception {
        SpringApplication.run(TaosTest.class, args);

        TaosInitalPonitService taosInitalPonitService= SpringUtils.getBean("taosInitalPonitService");


//        taosInitalPonitService.initalTaosPointTable();
//
//        alarmCtService.createSuperTable();
//        alarmCtService.initalCtAlarm();
//
//
        IRealDataUtil taosUtil= SpringUtils.getBean("taosUtil");
//
//        String[] points={"SXJ_KGDL_FLFD_BHB_F_P1_L1_0001_AI0061",
//                "SXJ_KGDL_FLFD_BHB_F_P1_L1_0001_AI0062",
//                "SXJ_KGDL_FLFD_BHB_F_P1_L1_0001_AI0063",
//                "SXJ_KGDL_FLFD_BHB_F_P1_L1_0001_AI0064"
//                };
//        List<PointData> ls= taosUtil.getRealData(points);
//
//
//
//
//        List<PointDataTaos>  taosList=new ArrayList();
//        PointDataTaos taos1=new PointDataTaos();
//        taos1.setId("SXJ_KGDL_FLFD_BHB_F_P1_L1_0001_AI0064");
//        taos1.setTs(new Timestamp(new Date().getTime()));
//        taos1.setVal(12.6);
//        taos1.setMetric(1);
//        taosList.add(taos1);
//        PointDataTaos taos2=new PointDataTaos();
//        taos2.setId("SXJ_KGDL_FLFD_BHB_F_P1_L1_0001_AI0064");
//        taos2.setTs(new Timestamp(new Date().getTime()+3000l));
//        taos2.setVal(18.6);
//        taos2.setMetric(1);
//        taosList.add(taos2);
//
//        taosUtil.sendSinglePoint(taosList);
//        List<PointData> ls=taosUtil.getHistoryDatasSnap( "SXJ_KGDL_FLFD_BHB_F_P1_L1_0001_AI0064",1717430400l,new Date().getTime()/1000,null,600l);
//

//        List<PointData> ls=taosUtil.getHistoryDatasRaw( "SXJ_KGDL_FLFD_BHB_F_P1_L1_0001_AI0064",1717430400l,1717468230l);

        List<PointData> ls=taosUtil.getHistStat( "SXJ_KGDL_FLFD_BHB_F_P1_L1_0001_AI0064",1717430400l,new Date().getTime()/1000,null,600l,0);
        for(int i=0;i<ls.size();i++)
        {

            PointData value= ls.get(i);
            System.out.println(value.getPointValueInDouble());
        }



        System.out.println("完成！");


    }
}
